Debian Bug report logs - #604980
remove/disable /etc/apache2/conf.d/apache2-doc per default

version graph

Package: apache2-doc; Maintainer for apache2-doc is Debian Apache Maintainers <debian-apache@lists.debian.org>; Source for apache2-doc is src:apache2.

Reported by: Christoph Anton Mitterer <calestyo@scientia.net>

Date: Thu, 25 Nov 2010 22:51:02 UTC

Severity: wishlist

Found in version apache2/2.2.16-4

Fixed in versions 2.4.1, apache2/2.4.1-1

Done: Stefan Fritsch <sf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Apache Maintainers <debian-apache@lists.debian.org>:
Bug#604980; Package apache2-doc. (Thu, 25 Nov 2010 22:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Anton Mitterer <calestyo@scientia.net>:
New Bug report received and forwarded. Copy sent to Debian Apache Maintainers <debian-apache@lists.debian.org>. (Thu, 25 Nov 2010 22:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christoph Anton Mitterer <calestyo@scientia.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: remove/disable /etc/apache2/conf.d/apache2-doc per default
Date: Thu, 25 Nov 2010 23:48:25 +0100
Package: apache2-doc
Version: 2.2.16-4
Severity: wishlist


Hi.

May I suggest to disable or even better remove /etc/apache2/conf.d/apache2-doc
per default?

I guess most people _don't_ want their servers to the apache documentation
provided to the web.

IMHO the file should go to some /u/s/d/apache2-doc/example directory.

Cheers,
Chris.




Added blocking bug(s) of 604980: 605227 Request was from Marc Fournier <marc.fournier@camptocamp.com> to control@bugs.debian.org. (Sun, 28 Nov 2010 13:12:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 09 Mar 2012 02:27:10 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.4.1. Request was from Arno Töll <debian@toell.net> to control@bugs.debian.org. (Fri, 09 Mar 2012 02:27:11 GMT) Full text and rfc822 format available.

Reply sent to Stefan Fritsch <sf@debian.org>:
You have taken responsibility. (Tue, 20 Mar 2012 09:08:57 GMT) Full text and rfc822 format available.

Notification sent to Christoph Anton Mitterer <calestyo@scientia.net>:
Bug acknowledged by developer. (Tue, 20 Mar 2012 09:08:58 GMT) Full text and rfc822 format available.

Message #16 received at 604980-close@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@debian.org>
To: 604980-close@bugs.debian.org
Subject: Bug#604980: fixed in apache2 2.4.1-1
Date: Tue, 20 Mar 2012 09:02:34 +0000
Source: apache2
Source-Version: 2.4.1-1

We believe that the bug you reported is fixed in the latest version of
apache2, which is due to be installed in the Debian FTP archive:

apache2-bin_2.4.1-1_i386.deb
  to main/a/apache2/apache2-bin_2.4.1-1_i386.deb
apache2-data_2.4.1-1_all.deb
  to main/a/apache2/apache2-data_2.4.1-1_all.deb
apache2-dbg_2.4.1-1_i386.deb
  to main/a/apache2/apache2-dbg_2.4.1-1_i386.deb
apache2-dev_2.4.1-1_i386.deb
  to main/a/apache2/apache2-dev_2.4.1-1_i386.deb
apache2-doc_2.4.1-1_all.deb
  to main/a/apache2/apache2-doc_2.4.1-1_all.deb
apache2-mpm-event_2.4.1-1_i386.deb
  to main/a/apache2/apache2-mpm-event_2.4.1-1_i386.deb
apache2-mpm-prefork_2.4.1-1_i386.deb
  to main/a/apache2/apache2-mpm-prefork_2.4.1-1_i386.deb
apache2-mpm-worker_2.4.1-1_i386.deb
  to main/a/apache2/apache2-mpm-worker_2.4.1-1_i386.deb
apache2-suexec-custom_2.4.1-1_i386.deb
  to main/a/apache2/apache2-suexec-custom_2.4.1-1_i386.deb
apache2-suexec-pristine_2.4.1-1_i386.deb
  to main/a/apache2/apache2-suexec-pristine_2.4.1-1_i386.deb
apache2-suexec_2.4.1-1_i386.deb
  to main/a/apache2/apache2-suexec_2.4.1-1_i386.deb
apache2-utils_2.4.1-1_i386.deb
  to main/a/apache2/apache2-utils_2.4.1-1_i386.deb
apache2_2.4.1-1.debian.tar.gz
  to main/a/apache2/apache2_2.4.1-1.debian.tar.gz
apache2_2.4.1-1.dsc
  to main/a/apache2/apache2_2.4.1-1.dsc
apache2_2.4.1-1_i386.deb
  to main/a/apache2/apache2_2.4.1-1_i386.deb
apache2_2.4.1.orig.tar.bz2
  to main/a/apache2/apache2_2.4.1.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 604980@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Stefan Fritsch <sf@debian.org> (supplier of updated apache2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 19 Mar 2012 10:46:02 +0100
Source: apache2
Binary: apache2 apache2-data apache2-bin apache2-mpm-worker apache2-mpm-prefork apache2-mpm-event apache2-utils apache2-suexec apache2-suexec-pristine apache2-suexec-custom apache2-doc apache2-dev apache2-dbg
Architecture: source i386 all
Version: 2.4.1-1
Distribution: experimental
Urgency: low
Maintainer: Debian Apache Maintainers <debian-apache@lists.debian.org>
Changed-By: Stefan Fritsch <sf@debian.org>
Description: 
 apache2    - Apache HTTP Server
 apache2-bin - Apache HTTP Server (binary files and modules)
 apache2-data - Apache HTTP Server (common files)
 apache2-dbg - Apache debugging symbols
 apache2-dev - Apache HTTP Server (development headers)
 apache2-doc - Apache HTTP Server (on-site documentation)
 apache2-mpm-event - transitional event MPM package for apache2
 apache2-mpm-prefork - transitional prefork MPM package for apache2
 apache2-mpm-worker - transitional worker MPM package for apache2
 apache2-suexec - transitional package for apache2-suexec-pristine
 apache2-suexec-custom - Apache HTTP Server configurable suexec program for mod_suexec
 apache2-suexec-pristine - Apache HTTP Server standard suexec program for mod_suexec
 apache2-utils - Apache HTTP Server (utility programs for web servers)
Closes: 233047 296886 307298 350285 400881 402567 428095 465283 511594 519322 601033 601606 604980 605227 605535 620347 639383 657492 662115
Changes: 
 apache2 (2.4.1-1) experimental; urgency=low
 .
   * Package the coming up 2.4 branch of Apache by packaging the current
     GA release 2.4.1.
     + Fix "IndexIgnore only allowes to add in vhost context, not replace"
      (Closes: #296886)
     + Fix "mod_status stats are wrong." (Closes: #519322)
     + Fix "PNG DirectoryIndex icons transparancy messed up" (Closes: #233047)
     + Fix "apache2-common: there should be a possibility to access the
       parsed configuration" (Closes: #350285)
     + Fix "AddOutputFilterByType is deprecated but used in deflate.conf"
       (Closes: #601033)
     + Fixes "Renegotiation on POST request fails intermittently"
       (Closes: #601606)
     + Allows configuring source address for proxy requests. (Closes: #465283)
     + Supports CONNECT request through https. (Closes: #307298)
     + New Upstream (2.4). (Closes: #662115)
 .
   * Refresh patches but leave all hunks unchanged where possible. Give all
   * patches a ".patch" suffix, drop sequence numbers as they are not needed when
   * using quilt. Notable changes are.
     + [AT] 202_suexec-custom: Keep functionality as is, but rewrite smaller
       parts of the patch to build two binaries: suexec-pristine and
       suexec-custom (see below)
     + [AT] 201_build_suexec-custom: Patch the makefile to build
       "suexec-pristine" instead. Aside of that, refresh hunks.
     + [AT] 010_fhs_compliance: Drop config.layout patches. These have been
       applied upstream
     + [JMV] Drop patches:
       + 004_usr_bin_perl_0wnz_j00: printenv exemple doesn't refer to
         /usr/local/bin/perl anymore
       + 008_make_include_safe: Include doesn't support directory anymore.
         Include dir/*.conf must be used.
       + 009_apache2_has_dso: Upstream is no longer testing DSO is available. So
         we don't need to remove that test anymore.
     + [AT] customize_apxs.patch: Aggregate changes from various apxs2 patches,
       drop obsolete hunks
 .
   [ Arno Töll ]
 .
   * Rewrite most parts of debian/rules / debhelper configuration.
     + move cronjob and init script to debhelper configuration files
       (apache2.cron.daily and apache2.init respectively)
     + move man pages to debian/manpages
     + Remove Ubuntu hacks in debian/rules, we expect them to carry Ubuntu
       specifics in their own patch set, as it diverges already anyway.
     + shake-up files installed in different packages
     + Do not copy the source tree anymore, build package in place.
   * Push standards version to 3.9.3 - no special changes required
   * Refactor binary packages, now as things simplified. MPMs are simple
     modules now, they can be bundled into the same binary package which do not
     need to conflict with each other. Thus, Apache now primarily consists of the
     following packages:
     + apache2 - configuration files and init scripts, Debian specific helper
       scripts
     + apache2-bin - binaries and modules
     + apache2-data - error pages and images
   * Drop the ITK MPM entirely for now
   * Consolidate development packages. As MPM packages are gone, we do not need
     specific development packages either. Thus, drop all MPM specific apache2
     development packages and provide a single apache2-dev package instead.
     (Closes: #428095)
   * Drop debian/source/options again: We do not need to ignore .svn directories
     anymore since the new package management system is based on git and includes
     the full source
   * Rework the suexec mechanism. Now there are two suexec packages providing
     alternatives through the update-alternatives mechanism. The untouched
     upstream "suexec" binary is provided by the apache2-suexec-pristine package,
     whereas the configurable suexec can be found in the apache2-suexec-custom
     package. Both are providing the "suexec" binary which are managed by the
     update-alternatives(9) mechanism.
     This change is transparent to users at runtime and does not need any
     configuration changes.
   * Remove obsolete README.source file.
   * Update doc-base metadata for the apache2-doc package
   * Changes in the default configuration (not specific modules):
     + On the head of the apache2.conf configuration file, give a short summary
       how configuration of the Apache web server works in Debian.
     + Drop NameVirtualHost entirely. It is deprecated (Closes: #511594)
     + Remove DefaultType. It is deprecated.
     + Replace Allow/Deny directives in the default configuration by using the
       new Require directive. Load mod_access_compat if you rely on the old
       syntax
     + Replace LockFile by Mutex which consolidates all lock file
       synchronization files among modules
     + Update configuration to use the new IncludeOptional syntax
     + Enable these modules by default: authz_core authz_host alias cgi dir
     + Move MPM specific configuration to their respective configuration files.
       Users can just load and unload MPMs like other modules, enable the worker
       MPM by default
     + Move per-site global configuration from conf.d to conf-available and
       manage it similar to modules and sites. To do so, the new tools
       "a2enconf" and "a2disconf" are provided. Moreover, such configuration
       files need  to have a .conf suffix now. The following configuration
       files are enabled by default: charset localized-error-pages
       other-vhosts-access-log  security.  These were enabled by default
       previously, too (Closes: #620347, Closes: #605227).
       This holds for apache2-doc as well, which is still enabled by default but
       can be disabled easily anytime by using a2disconf (Closes: #604980).
     + Give site configuration a .conf suffix, too. For example the default vhost
       is called default.conf. Moreover, files without .conf suffix are ignored
       upon startup. Please update your site links and confs. Also rename the
       default vhost to 000-default.conf and don't do hacky things in a2enmod
       anymore.
   * Changes in a2enmod:
     + Parse "Conflicts: " header to denote conflicts between modules which
       cannot be loaded into the same Apache server.
     + Remove dangling "module.conf" files, too. They were forgotten previously
       if they existed and only the "module.load" file was removed.
     + Extend the tool to support conf-available/conf-enabled directories (see
       also configuration changes).
     + Expect a .conf suffix for sites-enabled/sites-available configurations.
     + Remove the default vhost special handling. Instead, we expect the default
       host to be named appropripriately (for example 000-default.conf;
       Closes: #605535).
   * The following modules and associated configuration files were removed:
     + mod_authz_default and mod_authn_default: Please use a proper
       authentication module instead
     + mod_mem_cache: Use mod_cache_disk instead
   * The following modules and associated configuration files are provided (but
     not enabled by default):
     access_compat, allowmethods, authz_dbd, cache_disk, data, log_debug, lua
     proxy_express, proxy_fcgi, proxy_fdpass, proxy_html, ratelimit, reflector
     remoteip, request, session, session_cookie, session_crypto, session_dbd
     (Closes: #400881)
   * Provide a dh_apache2 debhelper which can be used by reverse dependencies to
     install modules, module configuration files, site configuration files and
     global configuration files which need to be registered to the Apache web
     server.
     Thus, dh_apache2 can be used for Apache web server modules and web
     applications providing configuration files for Apache.
   * Write apache2-maintscript-helper which packagers can use to interface in a
     reliable way with the Apache 2 web server in maintainer scripts
   * Document programming hints how to interface with the Apache 2 web server for
   * packagers of web applications and module maintainer in
     /usr/share/doc/apache2/PACKAGING.gz.
   * Fix the watch file, thanks to Jean-Michel Vourgère for pointing out the
     problem.
   * Update debian/copyright and switch it to the copyright-format 1.0 (formerly
     known as DEP5)
 .
   [ Stefan Fritsch ]
 .
   * Use "dh --with autotools_dev" instead of patching config.sub/config.guess.
   * Only include conf.d/*.conf, not conf.d/*.
   * Don't create httpd.conf anymore. Also, do a proper transition of existing
     httpd.conf files to /etc/apache2/conf-available (Closes: #639383)
   * Add "AddCharset" for .brf files in default mod_mime config.
     (Closes: #402567)
   * Update the README.Debian file
 .
   [ Jean-Michel Vourgère ]
 .
   * Update bash completion functions to reflect the new site setup. (Closes:
     #657492)
   * Migrate patches to DEP-3 format. For particular changes see the summary
     above.
Checksums-Sha1: 
 1c9e6ea4c2bc57d06e16b56cf76fa6dec3718874 2197 apache2_2.4.1-1.dsc
 23beffce77529971e09d0fb1e760cadf80afa4e6 4101303 apache2_2.4.1.orig.tar.bz2
 412e3a3a5c8c2207a17d7ab14a77eb87b3035c45 153154 apache2_2.4.1-1.debian.tar.gz
 70d88d1cf0ffd519b0b6a608a8bbe998a8a080e2 169718 apache2_2.4.1-1_i386.deb
 57e45258332864558ca477f0b413c7c52b41e2e8 131010 apache2-data_2.4.1-1_all.deb
 f3c024e6a7f4d0e8401cb0a14f9ce08553dfce42 1252046 apache2-bin_2.4.1-1_i386.deb
 070652f8c4a01bf19975ff72517873882ba92a68 796 apache2-mpm-worker_2.4.1-1_i386.deb
 c666be76ac9c6f96d147771214aa1bda8b172679 796 apache2-mpm-prefork_2.4.1-1_i386.deb
 156ecd9c5db355aa6abb5d551f61cadaf06f7d58 794 apache2-mpm-event_2.4.1-1_i386.deb
 6e3269622d0efc97efb88da3d9d9f9d2d38774a9 183028 apache2-utils_2.4.1-1_i386.deb
 6067d63d4d9e79cb16d6c6c3a50d1332258ad6b1 798 apache2-suexec_2.4.1-1_i386.deb
 87448729c079f99e2481901ea1f9072c98a5e6cd 100314 apache2-suexec-pristine_2.4.1-1_i386.deb
 e16282082553e8156626e791320502fca99080cd 102036 apache2-suexec-custom_2.4.1-1_i386.deb
 3492923124349da798ede5379196f903f3a94c9a 3198750 apache2-doc_2.4.1-1_all.deb
 6780cbdd93d90f7ccc911a83f75df783addd3c71 185744 apache2-dev_2.4.1-1_i386.deb
 e46c88552407f815b1c6166b9dc710a5b49b9cf8 2555840 apache2-dbg_2.4.1-1_i386.deb
Checksums-Sha256: 
 121d53516e7569a406f711ef73758f9b578ab95f59e5c8af67591799becc5e30 2197 apache2_2.4.1-1.dsc
 7f1118cb0a1f9b505cdb9b7e854854fa2050d6ed0875b65e994bb35f267a0cca 4101303 apache2_2.4.1.orig.tar.bz2
 3968fdcad5361605517dc3000de9afae8e128fa7e1248ffcfe49f10d95c80f83 153154 apache2_2.4.1-1.debian.tar.gz
 cf78cfa32df58fa839d2a29e2cfcccd60efeb7acd7fa9147919e671b7f0afc6c 169718 apache2_2.4.1-1_i386.deb
 dacf4588ef2df1b7e17e1809d371d9cc76cd12894ef1ceab3ed605bc473e9847 131010 apache2-data_2.4.1-1_all.deb
 03665b010187a95c74a643c0dd60216341eaa743da4d8a9174f777a9f5240fde 1252046 apache2-bin_2.4.1-1_i386.deb
 f4539524a4beebf9f46326c1f7d712202f5890c0b9973d6a505890235196cfca 796 apache2-mpm-worker_2.4.1-1_i386.deb
 9170e3fc5568b8a6b10ca7714136734c367797396e690237f7f7bf89c7260411 796 apache2-mpm-prefork_2.4.1-1_i386.deb
 1bfd676fd201436fb3e3573afc2823fce3cbe920a551c38f98d96477b58ee61f 794 apache2-mpm-event_2.4.1-1_i386.deb
 1bb7dddfd86b56261d35eee168780bd8730a880a1d7003b4e5be584174b4ec34 183028 apache2-utils_2.4.1-1_i386.deb
 8334ac291c1b9b916815af80011d950f46ba86ee84dd776ba1c64a4875374540 798 apache2-suexec_2.4.1-1_i386.deb
 02130c0e58d861566cd9745bbbbdd7a4f435a2a77767bf5590f23109f1279f05 100314 apache2-suexec-pristine_2.4.1-1_i386.deb
 7ffe10a458e188590d08e93221846d7cf3a4c2b5ecb0402c40f9c4fc0b2dde50 102036 apache2-suexec-custom_2.4.1-1_i386.deb
 7ca813f85cfa308e77075fc0188779376a45b1411b1402d8bfaddd3ca0b460d4 3198750 apache2-doc_2.4.1-1_all.deb
 dd2e3a02a97b9b024afa434250ccf996dba9b0c01592a3983c81b914bcaaba75 185744 apache2-dev_2.4.1-1_i386.deb
 1f3ed860fa91ec41418196b7d33f5d0c61d7896adde821a7980835d0e45f4632 2555840 apache2-dbg_2.4.1-1_i386.deb
Files: 
 834cd292e75eb0b9941d545f8cf66d44 2197 httpd optional apache2_2.4.1-1.dsc
 7d3001c7a26b985d17caa367a868f11c 4101303 httpd optional apache2_2.4.1.orig.tar.bz2
 88c1dbf5f20f5854fee665f8737fad9d 153154 httpd optional apache2_2.4.1-1.debian.tar.gz
 80aa9ba8517d126f6c64fe2487711f02 169718 httpd optional apache2_2.4.1-1_i386.deb
 82a27401049e47ceb3bee1291350db0e 131010 httpd optional apache2-data_2.4.1-1_all.deb
 ba730eece385957c6440fb809bccfa1f 1252046 httpd optional apache2-bin_2.4.1-1_i386.deb
 0a7fd031089bb0e39114879fa9992d20 796 oldlibs extra apache2-mpm-worker_2.4.1-1_i386.deb
 09200aa215d7003fc5f6cc375a102327 796 oldlibs extra apache2-mpm-prefork_2.4.1-1_i386.deb
 55a5635834216da36dfcc0db433de667 794 oldlibs extra apache2-mpm-event_2.4.1-1_i386.deb
 22730a9e1b7921901bf8e02bb68091a0 183028 httpd optional apache2-utils_2.4.1-1_i386.deb
 be72626907dcab234bcbf35c4caecca4 798 oldlibs extra apache2-suexec_2.4.1-1_i386.deb
 fe9537e66ec9d52e7ff9f782b1425136 100314 httpd optional apache2-suexec-pristine_2.4.1-1_i386.deb
 8c688dbad87f9daa5602bf57866809cb 102036 httpd extra apache2-suexec-custom_2.4.1-1_i386.deb
 5830ff1aeecfe0b65d04f60b7e8eba40 3198750 doc optional apache2-doc_2.4.1-1_all.deb
 956996ce7059a8a4f9dd9d6489d3e619 185744 httpd optional apache2-dev_2.4.1-1_i386.deb
 143d99aa65cf21204c57fad6bfe2a691 2555840 debug extra apache2-dbg_2.4.1-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPZwSlbxelr8HyTqQRAuXjAKCOJfDMQXfLZVV/LN+eHn08X78crACg2Cc3
8yW4IhSzCnuW63lLobswIng=
=L1VO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Mar 2013 07:27:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 01:54:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.